package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.dormitorysystem.waterpower.app.*;
import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WaterPowerMeterReading extends CoreBillBase implements IWaterPowerMeterReading
{
    public WaterPowerMeterReading()
    {
        super();
        registerInterface(IWaterPowerMeterReading.class, this);
    }
    public WaterPowerMeterReading(Context ctx)
    {
        super(ctx);
        registerInterface(IWaterPowerMeterReading.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("73E5AEEC");
    }
    private WaterPowerMeterReadingController getController() throws BOSException
    {
        return (WaterPowerMeterReadingController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WaterPowerMeterReadingCollection getWaterPowerMeterReadingCollection() throws BOSException
    {
        try {
            return getController().getWaterPowerMeterReadingCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WaterPowerMeterReadingCollection getWaterPowerMeterReadingCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWaterPowerMeterReadingCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WaterPowerMeterReadingCollection getWaterPowerMeterReadingCollection(String oql) throws BOSException
    {
        try {
            return getController().getWaterPowerMeterReadingCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WaterPowerMeterReadingInfo getWaterPowerMeterReadingInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerMeterReadingInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WaterPowerMeterReadingInfo getWaterPowerMeterReadingInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerMeterReadingInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WaterPowerMeterReadingInfo getWaterPowerMeterReadingInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterPowerMeterReadingInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}